---
title: "Update Transaction | Nuvio Docs"
description: "Updates an existing transaction."
url: https://nuvio.io/docs/api/update-transaction
---

# Update Transaction

PUT `/v1/transactions/{id}`

Needs an API key with the [`update`](https://nuvio.io/docs/api/authentication#scopes) scope.

## Path parameters

-   `id` string Required

## Body parameters

-   `description` string

    Description of the transaction

-   `transactionTimestamp` integer

    Epoch timestamp for the transaction date and time. If both of the fields are provided, `transactionTimestamp` will be used.

-   `transactionDate` string

    Datetime with timezone for the transaction date and time.

-   `transactionType` string

    Type of the transaction. If it is an incoming money, use `Money In`; if it is an outgoing money, use `Money Out`

-   `mathcingEntityId` string

    32-character unique ID of the customer or supplier of the transaction's sender or receiver.

-   `mathcingEntityCode` string

    User-generated custom customer or supplier code of the transaction's sender or receiver.

-   `amount` number

    Amount of the transaction. It should be a positive decimal number. `eg. 1059.34`

## Returns

The transaction as saved.

`401`

No usable `Authorization: Bearer {token}` header (1002).

`403`

The access token is unknown, or lacks the scope this route needs (1001).

PUT /v1/transactions/{id}

```
curl -X PUT https://api.nuvio.io/v1/transactions/7c9e6679-7425-40de-944b-e07fc1f90ae7 \
  -H "Authorization: Bearer $NUVIO_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "description": "Office supplies",
    "transactionTimestamp": 1,
    "transactionDate": "2026-11-05",
    "transactionType": "string",
    "mathcingEntityId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
    "mathcingEntityCode": "ACME-01",
    "amount": 100
  }'
```

Response

```
{
  "success": true,
  "errors": null,
  "data": {
    "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
    "accountId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
    "accountName": "Acme Supplies",
    "description": "Office supplies",
    "transactionTimestamp": 1,
    "transactionDate": "2026-11-05",
    "amount": 100,
    "currency": "USD",
    "transactionType": "Money In",
    "matchedEntity": {
      "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
      "code": "ACME-01"
    },
    "matchedIncomes": [
      {
        "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
        "invoiceId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
        "matchedAmount": 100
      }
    ],
    "matchedExpenses": [
      {
        "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
        "expenseId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
        "matchedAmount": 100
      }
    ]
  }
}
```
